coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons

[Instant Discount Coupon] Query a list of coupons (orderId)

# 01

Summary

Available buyer market: Korea This API queries coupon info by order ID.

# 02

Details

Available buyer market: Korea
This API queries coupon info by order ID.
 

Path

GET

/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons

Example Endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/8000000000294/coupons

Request Parameters

Path Segment Parameter

Name Type Description
vendorId* String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
orderId* Number
Order ID

Request Example 

not require body

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
httpStatus Number
HTTP Status Code (same as the server response code)
httpStatusMessage String
HTTP Status Message (same as the server response message)
errorMessage String
Detailed reason for error other than HTTP Status 200
data Object
Coupon info data
  success Boolean
Success or failure
true or false
  content Array
Coupon info data
    contractId Number
Vendor's contract ID
ex) 1, 2
    couponId Number
Coupon ID
ex) 75, 80
    discount Number
Discount rate
ex) 100.0, 20.0
    endAt String
Effective end date/time
ex) 2017-09-01 00:00:00
    maxDiscountPrice Number
Max. discount amount
ex) 1000, 10000
    promotionName String
Promotin name
ex) Dress discount coupon for the 2nd wk of Jan
    startAt String
Effective start date/time
ex) 2017-08-04 01:00:00
    status String
Coupon status
Code Description
STANDBY Standing by
APPLIED In use
PAUSED Issuance paused
EXPIRED Expired
DETACHED Item removed
    type String
Discount type
ex) RATE (fixed-rate discount), FIXED_WITH_QUANTITY (fixed-amount discount per quantity) and PRICE (fix-amount discount)
    wowExclusive Boolean
Issuance target
false (all: Default)
true (Rocket Wow members)
    vendorItemId Number
Option ID
ex) 3223826213
  Pagination null
No pagination for query by orderId

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "vendorItemId": 5500016112,
        "contractId": 10,
        "promotionName": "99%",
        "couponId": 91,
        "status": "PAUSED",
        "type": "RATE",
        "maxDiscountPrice": 1000000,
        "discount": 99,
        "startAt": "2017-11-22 00:00:00",
        "endAt": "2017-11-23 23:59:00",
        "wowExclusive": "false" 
      },
      {
        "vendorItemId": 53000439458,
        "contractId": 7,
        "promotionName": "자유계약 원피스 폭탄 세일 시즌 1",
        "couponId": 65,
        "status": "PAUSED",
        "type": "RATE",
        "maxDiscountPrice": 1000,
        "discount": 10,
        "startAt": "2017-09-22 00:00:00",
        "endAt": "2017-09-23 23:59:00",
        "wowExclusive": "false" 
      }
    ],
    "pagination": null
  }
}

Error Spec

HTTP status code (error type) Error message How to resolve
400 (check request parameter) Check access to the vendor info. Check if the seller ID (vendorId) is correct.